=== packages/pyyaml/debian/changelog ===
pyyaml (3.05-2~andersk1) unstable; urgency=low

  * Backport to Etch.

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 31 Jul 2008 17:32:58 -0400

pyyaml (3.05-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn
  * DM-Upload-Allowed set to "yes"

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Scott Kitterman ]
  * Build with lib-yaml now that it is in the archive (Closes: #435410)
    - Add build-dep on libyaml-dev and python-pyrex
    - Add depends for ${shlibs:Depends} (Package falls back to pure Python
      if libyaml is not present, but it's not worth splitting a small package)
    - Install with setup_with_libyaml.py for all Python versions
    - Switch from arch all to arch any
  * Add debug package
    - Add python-all-dbg to build-dep
    - Add python-yaml-dbg to debian/control
    - Update debian/rules
  * Switch from python-support to python-central
    - Update depends
    - Remove pyversions
    - Add XS/XB-python-versions to debian/control
    - Update debian/rules
  * Update package description
  * Update standards version to 3.8.0.1

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2008 21:32:45 -0400

pyyaml (3.05-1) unstable; urgency=low

  [ Scott Kitterman ]
  * New upstream version
  * Removed obsolete patch and debian/patches
  * debian/control:
     - Added XS-Vcs-Svn field
     - Remove build-dep on pacht-utils
  * debian/rules:
     - Comment out simple-patchsys

  [ Piotr Ożarowski ]
  * Added debian/watch file

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 May 2007 22:38:17 -0400

pyyaml (3.04-1) unstable; urgency=low

  * Initial Debian package (Closes: #413720)
  * Include upstream recommended patches from the development tree:
    - fix loading an empty stream: changeset 233
    - fix the !timestamp constructor: changeset 234
    - fix an obscure issue with yaml_path_resolver: changeset 246

 -- Scott Kitterman <scott@kitterman.com>  Wed,  4 Apr 2007 15:50:36 -0400
