=== packages/sipb-xen-base/debian/changelog ===
sipb-xen-base (8.17) unstable; urgency=low

  * removed the `mako` program since python-mako already includes a
    mako-render

 -- Yang Zhang <y_z@mit.edu>  Wed, 13 Aug 2008 01:45:26 -0400

sipb-xen-base (8.16) unstable; urgency=low

  * added `mako` program for processing templates in invirt packages

 -- Yang Zhang <y_z@mit.edu>  Tue, 12 Aug 2008 16:00:43 -0400

sipb-xen-base (8.15) unstable; urgency=low

  * put invirt-getconf in /usr/bin

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 21:58:36 -0400

sipb-xen-base (8.14) unstable; urgency=low

  * using correct default paths in invirt-getconf
  * fixed os.rename import bug

 -- Yang Zhang <y_z@mit.edu>  Sat,  2 Aug 2008 20:29:56 -0400

sipb-xen-base (8.13) unstable; urgency=low

  * fix an error message

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 23:04:07 -0400

sipb-xen-base (8.12) unstable; urgency=low

  [ Greg Price ]
  * add --ls and some convenience features to invirt-getconf:
    formatting composite nodes as yaml, allowing the root
  * fix bug in late-import of yaml in invirt.config
  * use yaml.CSafeDumper and yaml.CSafeLoader everywhere
  
  [ Yang Zhang ]
  * added shared lock around cache-reading transaction

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 22:11:15 -0400

sipb-xen-base (8.11) unstable; urgency=low

  * sped up invirt.config module load time by rearranging imports
  * no longer removing the lock file

 -- Yang Zhang <y_z@mit.edu>  Wed, 30 Jul 2008 21:55:23 -0400

sipb-xen-base (8.10) unstable; urgency=low

  * added file locking around cache

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 22:35:25 -0400

sipb-xen-base (8.9) unstable; urgency=low

  * moved more generic code into `common` package
  * silently fail if cache fails
  * load the configuration on module load
  * produce a struct-based representation of the configuration
  * allowing full exception messages for OSErrors (default behavior)
  * added some dependencies specs

 -- Yang Zhang <y_z@mit.edu>  Tue, 29 Jul 2008 01:03:16 -0400

sipb-xen-base (8.8) unstable; urgency=low

  * added timestamp-based JSON caching of configuration for faster loading
  * exposed (more) options to command-line frontend
  * improved error messages/handling/help
  * removed all python 2.5-isms
  * reformatted to fit project style conventions

 -- Yang Zhang <y_z@mit.edu>  Mon, 28 Jul 2008 12:25:03 -0400

sipb-xen-base (8.7) unstable; urgency=low

  * back to 2.4 compatibility

 -- Greg Price <price@mit.edu>  Mon, 28 Jul 2008 07:44:27 -0400

sipb-xen-base (8.6) unstable; urgency=low

  * switching to python 2.5 only
  * added y_z to .k5login

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 20:23:54 -0400

sipb-xen-base (8.5) unstable; urgency=low

  * using python 2.5
  * initial working version of invirt-getconf that reads & navigates YAML

 -- Yang Zhang <y_z@linerva.mit.edu>  Sun, 27 Jul 2008 20:12:28 -0400

sipb-xen-base (8.4) unstable; urgency=low

  [ Greg Price ]
  * begin a Python package 'invirt'

  [ Yang Zhang ]
  * added invirt-getconf to read configuration files

 -- Yang Zhang <y_z@mit.edu>  Sun, 27 Jul 2008 19:10:10 -0400

sipb-xen-base (8.3) unstable; urgency=low

  * add invirt-reload to regenerate and reload configs

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:35:42 -0400

sipb-xen-base (8.2) unstable; urgency=low

  * leave out debathena-system so we get only the packages we ask for

 -- Greg Price <price@mit.edu>  Sun, 20 Jul 2008 13:58:52 -0400

sipb-xen-base (8.1) unstable; urgency=low

  * include debathena to make stuff like kerberos config easier

 -- Greg Price <price@mit.edu>  Sat, 19 Jul 2008 23:16:47 -0400

sipb-xen-base (8) unstable; urgency=low

  * update .k5login to match black-mesa

 -- Greg Price <price@mit.edu>  Sun,  4 May 2008 20:28:28 -0400

sipb-xen-base (7) unstable; urgency=low

  * include backports.org
  * sources.list.d doesn't actually need a .sources.list, just .list

 -- Greg Price <price@mit.edu>  Thu,  1 May 2008 19:45:50 -0400

sipb-xen-base (6) unstable; urgency=low

  * actually use sources.list.d correctly

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:22:12 -0400

sipb-xen-base (5) unstable; urgency=low

  * update sources.list, use sources.list.d

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:06:05 -0400

sipb-xen-base (4) unstable; urgency=low

  * sipb-vm-1 becomes sipb-xen-dev

 -- Sam Hartman <hartmans@debian.org>  Tue,  4 Sep 2007 15:48:50 -0400

sipb-xen-base (3) unstable; urgency=low

  * We want security updates too

 -- Sam Hartman <hartmans@debian.org>  Fri, 10 Aug 2007 20:39:14 -0400

sipb-xen-base (2) unstable; urgency=low

  * Update sources.list to include our debian mirror

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:11:18 -0400

sipb-xen-base (1) unstable; urgency=low

  * New upstream version

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:44:21 -0400
