=== packages/sipb-xen-database/debian/changelog ===
sipb-xen-database (10.18) unstable; urgency=low

  * add 'adminable' column to machines; for selectively, temporarily,
    enabling admin mode on a machine

 -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400

sipb-xen-database (10.17) unstable; urgency=low

  * pull IP gateway, network from config
  * configurabilization complete!

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400

sipb-xen-database (10.16) unstable; urgency=low

  in sipb-xen-database-tables:
  * use invirt.database, and take default db uri

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:51:32 -0400

sipb-xen-database (10.15) unstable; urgency=low

  in /etc/xen/database:
  * uncommitted changes on black-mesa
  * sipb_xen_database -> invirt.database
  * use default db uri

  in invirt.database:
  * get default db uri from invirt.config

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:26:46 -0400

sipb-xen-database (10.14) unstable; urgency=low

  * Rename sipb_xen_database -> invirt.database,
    keeping old name too for now, for compatibility.

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 23:19:18 -0400

sipb-xen-database (10.13) unstable; urgency=low

  * Modify autoinstalls table to specify distribution/mirror.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Sat, 21 Jun 2008 21:25:21 -0400

sipb-xen-database (10.12) unstable; urgency=low

  * Add a description field.

 -- Anders Kaseorg <andersk@mit.edu>  Wed, 18 Jun 2008 03:52:49 -0400

sipb-xen-database (10.11) unstable; urgency=low

  * Specify ON DELETE CASCADE

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:25:35 -0400

sipb-xen-database (10.10) unstable; urgency=low

  * Make machine.acl a private relation.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:03:09 -0400

sipb-xen-database (10.9) unstable; urgency=low

  * Eager loading of relations for better performance.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 02 Jun 2008 01:39:11 -0400

sipb-xen-database (10.8) unstable; urgency=low

  * Configure serial console on boot

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Thu,  1 May 2008 20:21:25 -0400

sipb-xen-database (10.7) unstable; urgency=low

  * Depend on psql client in -client package.

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:06:41 -0400

sipb-xen-database (10.6) unstable; urgency=low

  * Support autoinstalls table.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 22:34:46 -0400

sipb-xen-database (10.5) unstable; urgency=low

  * Enable USB tablet device in guests.

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 21 Apr 2008 17:39:59 -0400

sipb-xen-database (10.4.1) unstable; urgency=low

  * Actually export the cache clearing function.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 21:18:01 -0400

sipb-xen-database (10.4) unstable; urgency=low

  * Ubuntu's dch sucks.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 20:43:42 -0400

sipb-xen-database (10.3ubuntu1) gutsy; urgency=low

  * Expose a function for clearing the cache.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 20:31:06 -0400

sipb-xen-database (10.3) unstable; urgency=low

  * Use 'acl', not 'users', for the reference to the machine_access table.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Thu, 24 Jan 2008 17:23:33 -0500

sipb-xen-database (10.2) unstable; urgency=low

  * Add MachineAccess to __all__ so it can be imported
  * Remove unnecessary constructors for database objects

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:53:47 -0500

sipb-xen-database (10.1) unstable; urgency=low

  * Make sipb-xen-database-tables safer (don't default to drop_all)

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:39:59 -0500

sipb-xen-database (10) unstable; urgency=low

  * Added a machine_access table for cached ACLs

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:24:35 -0500

sipb-xen-database (9.0) unstable; urgency=low

  * No changes.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:17:20 -0400

sipb-xen-database (9) unstable; urgency=low

  * Add administrator column and backrefs to machine.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:11:47 -0400

sipb-xen-database (8) gutsy; urgency=low

  * Prepend d_ to database VMs.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:35:51 -0400

sipb-xen-database (7.00002) gutsy; urgency=low

  * Actually import re.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 04:34:07 -0400

sipb-xen-database (7.00001) gutsy; urgency=low

  * import re.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:40:25 -0400

sipb-xen-database (7) unstable; urgency=low

  * nics primary key should be mac address, not hostname.
  * Make ip unique, and constructor for nics.
  * Add a table for boot CDs.
  * Add cdrom_image parameter.
  * Regex sanity checking.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:18:30 -0400

sipb-xen-database (6) unstable; urgency=low

  * Adding a script to create lvm volumes

 -- Nelson Elhage <nelhage@mit.edu>  Sat, 22 Sep 2007 13:59:36 -0400

sipb-xen-database (5) unstable; urgency=low

  * Change the host from sipb-vm-1 to sipb-xen-dev

 -- Nelson Elhage <nelhage@mit.edu>  Sat,  8 Sep 2007 16:16:07 -0400

sipb-xen-database (4) unstable; urgency=low

  * Add script=vif-sipbroute to our vif lines

 -- Nelson Elhage <nelhage@mit.edu>  Fri, 24 Aug 2007 22:07:18 -0400

sipb-xen-database (3) unstable; urgency=low

  * Add a connect() line to sipb-database
  * Fix some other bugs in sipb-database

 -- Nelson Elhage <nelhage@mit.edu>  Sun, 19 Aug 2007 19:40:08 -0400

sipb-xen-database (2) unstable; urgency=low

  * Fix the postinit and prerm scripts to create a sipb-xen user

 -- Nelson Elhage <nelhage@mit.edu>  Thu, 16 Aug 2007 16:27:36 -0400

sipb-xen-database (1) unstable; urgency=low

  * Initial Release.


