=== packages/sipb-xen-dev/debian/changelog ===
sipb-xen-dev (22) unstable; urgency=low

  * Do not include a key id for dpkg-buildpackage per discussion on class xvm

 -- Sam Hartman <hartmans@debian.org>  Tue, 19 Aug 2008 13:14:04 -0400

sipb-xen-dev (21) unstable; urgency=low

  * Depend on sipb-xen-base
  * don't require packages be signed on upload

 --  Sam Hartman <hartmans@xvm.mit.edu>  Tue,  5 Aug 2008 21:23:44 +0000

sipb-xen-dev (20) unstable; urgency=low

  * dumb bugfix in init script

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:11:04 -0400

sipb-xen-dev (19) unstable; urgency=low

  * use CDBS, which doesn't forget dh_installinit like I did

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:02:41 -0400

sipb-xen-dev (18) unstable; urgency=low

  * sign the packages, getting keyid from invirt.config

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 00:43:58 -0400

sipb-xen-dev (17) unstable; urgency=low

  * use reprepro more correctly (and include in both stable and unstable)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:47:55 -0400

sipb-xen-dev (16) unstable; urgency=low

  * usage as "sx-build-release <package-name>", no "trunk/packages"
  * clobber the build-release/<package-name> directory automatically

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:12:03 -0400

sipb-xen-dev (15) unstable; urgency=low

  * Stop requiring the current directory to be in the checkout.
  * Don't do unnecessary write operations
    (hence prompt less often for a password.)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 22:45:42 -0400

sipb-xen-dev (14) unstable; urgency=low

  * Use the shallower directory structure.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 17:25:20 -0400

sipb-xen-dev (13) unstable; urgency=low

  * Update the svn uri automatically.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 21:38:37 -0400

sipb-xen-dev (12) unstable; urgency=low

  * Update the svn uri to point to the new repository

 -- Nelson Elhage <nelhage@mit.edu>  Wed, 15 Aug 2007 22:58:49 -0400

sipb-xen-dev (11) unstable; urgency=low

  * Use svn export not co to avoid installing .svn directories

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:15:58 -0400

sipb-xen-dev (10) unstable; urgency=low

  * Use svn export not svn co so we don't get .svn directories installed

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:14:51 -0400

sipb-xen-dev (9) unstable; urgency=low

  * Add /debian to apache config

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:54:43 -0400

sipb-xen-dev (8) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:29:54 -0400

sipb-xen-dev (7) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:27:59 -0400

sipb-xen-dev (6) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:26:17 -0400

sipb-xen-dev (5) unstable; urgency=low

  * Bug fix

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:25:00 -0400

sipb-xen-dev (4) unstable; urgency=low

  * Blah

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:21:28 -0400

sipb-xen-dev (3) unstable; urgency=low

  * Working sx-build-release
  

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 16:58:46 -0400

sipb-xen-dev (2) unstable; urgency=low

  * Add sipb-xen-repository apache config

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 14:04:03 -0400

sipb-xen-dev (1) unstable; urgency=low

  * Add repository config
  * update dependencies

 --  Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 13:43:08 -0400

sipb-xen-dev (0) unstable; urgency=low

  * Initial Release.

 -- unknown <hartmans@debian.org>  Fri,  6 Jul 2007 00:52:28 -0400
