=== packages/xvm-devconfig/debian/changelog ===
xvm-devconfig (0.9) unstable; urgency=low

  * added configs for sipb-xen-www

 -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:40:16 -0400

xvm-devconfig (0.8) unstable; urgency=low

  * add more config for web interface

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 23:25:24 -0400

xvm-devconfig (0.7) unstable; urgency=low

  * added dns.contact for sipb-xen-dns

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:19:29 -0400

xvm-devconfig (0.6) unstable; urgency=low

  * added decomposition of DB URI (for sipb-xen-console)

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 01:23:54 -0400

xvm-devconfig (0.5) unstable; urgency=low

  * remove deprecated /etc/invirt/{hosts,realm}
  * add apt section with keyid
  * add network section with gateway, netmask

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:17:57 -0400

xvm-devconfig (0.4) unstable; urgency=low

  * Put host hostnames in values, not keys.

 -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 23:42:30 -0400

xvm-devconfig (0.3) unstable; urgency=low

  * Add a YAML version with much more info.

 -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 17:43:33 -0400

xvm-devconfig (0.2) unstable; urgency=low

  * Add postinst to reload config.

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:38:59 -0400

xvm-devconfig (0.1) unstable; urgency=low

  * First cut.  Has hosts and realm.

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 18:56:49 -0400
