=== packages/sipb-xen-remctl-auto/debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
include /usr/share/cdbs/1/rules/debhelper.mk
